Hi everyone out there!

This is the *VERY FIRST* publication of my port of GDB 3.5 to the ATARI
micros running MiNT!

IMPORTANT: GDB *WILL NOT* run under TOS, since it makes heavy use of
           MiNT's/MultiTOS' procfs, signal handling etc.

Compiling GDB:
The archive in which the sources are contained, looks exactly as the
directories on my HD, so compiling is simply a matter of hitting
'make'. (You will have to use a file system that allows for large
filenames, though. I use MINIX FS (thanx Stephen!).

I use GCC 2.3.3 on my TT, together with mintlib PL 30. You will have
to copy some header files from $GNUINC to $GNUINC/sys, but you will
see that while compiling... (If you get an endless loop in your
headers, that is because of the headers in $GNUINC/sys #include the
files in $GNUINC with the same names, but themselves are included
from the sources dir by headers with the same name...)

Why 3.5?

Well, 3.5 is the *FIRST* GDB to be able to deal with C++, and as I'm
a C++ programmer, I had to port this...

Differences to GDB 2.6 PL 18:

- the _stksize value is set in atariwait.c

- GDB uses the MiNT procfs for debugging, so GDB is a legal MiNT citizen.

- GDB still can't run a process more than once, though this release doesn't
  complain. Be careful! (The reason is that the symbols have to be relocated,
  and once this has happened the offset is !=0, so you can't do that twice.
  Same story with breakpoints.)

- To debug a process, specify exec and symbol file as usual, BUT THEN SET A
  BREAKPOINT BEFORE RUNNING THE DEBUGGED PROCESS!!! GDB *WILL NOT* STOP THE
  PROCESS AUTOMATICALLY! I changed this behaviour to be compatible whith
  the UN*X versions.

- GDB will report breakpoints as 'trace traps'. Don't bother. This will change
  soon, I hope.

Known bugs:

- Attach/detach don't work in this release.

- the 'where' command sometimes bombs.

- FPU registers are not used nor displayed yet.

- terminal control doesn't work properly. That means, GDB will get stopped
  when it tries to print out a message. To prevent this, use 'stty -tostop'
  to turn off the default job control signals from the terminal.
  Future versions will start the inferior in a seperate TTY (window).

  
     
I didn't carefully test this version. I just release it, because I have *VERY*
limited time at the moment (because I'm involved in the german D2 spacelab mission)
and thus can't predict when I will be able to get to work again.

I certainly welcome questions, bug reports (but more preferably bug fixes!!), pieces
of work, comments, and suggestions.

PLEASE YOU GURUS OUT THERE, CONTRIBUTE TO MY WORK!!

Later, Joe

Contact me via E-MAIL:

       <Joerg.Hessdoerfer@EUROPA.rs.kp.dlr.de> (preferred)
       <Hessdorf@SUN.ph-cip.uni-koeln.de>
